List software users
curl --request GET \
--url https://api.next.orenda.finance/v1/access-management/software-users \
--header 'Authorization: Bearer <token>' \
--header 'x-program-id: <api-key>'const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'x-program-id': '<api-key>'}
};
fetch('https://api.next.orenda.finance/v1/access-management/software-users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.next.orenda.finance/v1/access-management/software-users"
headers = {
"Authorization": "Bearer <token>",
"x-program-id": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text){
"success": true,
"data": [
{
"userId": "usr_9d4c2e7f",
"email": "ledger-bot@northwind.example.com",
"identity": "ledger-bot@northwind.example.com",
"roleAlias": "SERVICE",
"roleId": "role_service",
"programId": "prog_orenda_eu"
}
],
"nextToken": null
}{
"success": false,
"code": "<string>",
"message": "<string>"
}Introspection
List software users
Lists the program’s software (machine) users, with cursor pagination.
GET
/
v1
/
access-management
/
software-users
List software users
curl --request GET \
--url https://api.next.orenda.finance/v1/access-management/software-users \
--header 'Authorization: Bearer <token>' \
--header 'x-program-id: <api-key>'const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'x-program-id': '<api-key>'}
};
fetch('https://api.next.orenda.finance/v1/access-management/software-users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.next.orenda.finance/v1/access-management/software-users"
headers = {
"Authorization": "Bearer <token>",
"x-program-id": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text){
"success": true,
"data": [
{
"userId": "usr_9d4c2e7f",
"email": "ledger-bot@northwind.example.com",
"identity": "ledger-bot@northwind.example.com",
"roleAlias": "SERVICE",
"roleId": "role_service",
"programId": "prog_orenda_eu"
}
],
"nextToken": null
}{
"success": false,
"code": "<string>",
"message": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
The program the request acts on.
⌘I